/// <reference types="node" />
import type http from 'node:http';
import type { ManifestData, SSRManifest } from '../@types/astro';
import type { DevServerController } from './controller';
import type DevPipeline from './devPipeline';
type HandleRequest = {
    pipeline: DevPipeline;
    manifestData: ManifestData;
    controller: DevServerController;
    incomingRequest: http.IncomingMessage;
    incomingResponse: http.ServerResponse;
    manifest: SSRManifest;
};
/** The main logic to route dev server requests to pages in Astro. */
export declare function handleRequest({ pipeline, manifestData, controller, incomingRequest, incomingResponse, manifest, }: HandleRequest): Promise<void>;
export {};
